handle_simple_irq
Prev | Chapter 9. Internal Functions Provided | Next

## Name

handle_simple_irq — Simple and software-decoded IRQs.

## Synopsis

`void handle_simple_irq (` | unsigned int | irq,
| struct irq_desc * | desc`)`;

## Arguments

`irq`

  the interrupt number

`desc`

  the interrupt description structure for this irq

## Description

Simple interrupts are either sent from a demultiplexing interrupt handler or come from hardware, where no interrupt hardware control is necessary.

## Note

The caller is expected to handle the ack, clear, mask and unmask issues if necessary.

Prev | Up | Next
set_irq_msi | Home | handle_level_irq